#!/bin/bash

DEST="/output"

INTERVAL="43200" #12h

function listChannels {
    SRC="/etc/videolist.txt"
    grep -Ev "^#|^$" "$SRC" | sed 's/#.*$//'
}

function main {
    init
    curl https://ipinfo.io
    while true ; do
        doDownload
        echo "sleeping $INTERVAL"
        sleep $INTERVAL
    done
}

function init {
    umask 0000
    cd "$DEST"
}

function doDownload {
    for CHANNEL in $(listChannels); do
        echo "downloading $CHANNEL"
        HOME="$DEST" yt-dlp --config-location /etc/youtube-dl.conf $CHANNEL
        echo "sleeping 10s"
        sleep 10
    done
}

main

